> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenovia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Policy Input Schema

> Return the accumulated policy input fields seen for this proxy.

Fields are populated automatically by the runtime on each request where
the input key set changes. New fields are appended; descriptions edited
via this response are preserved on future runtime updates.



## OpenAPI

````yaml https://cp.xenovia.io/openapi.json get /api/v1/proxies/{proxy_id}/schema/policy-input
openapi: 3.1.0
info:
  title: controlplane
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/proxies/{proxy_id}/schema/policy-input:
    get:
      tags:
        - proxies
      summary: Get Policy Input Schema
      description: |-
        Return the accumulated policy input fields seen for this proxy.

        Fields are populated automatically by the runtime on each request where
        the input key set changes. New fields are appended; descriptions edited
        via this response are preserved on future runtime updates.
      operationId: >-
        get_policy_input_schema_api_v1_proxies__proxy_id__schema_policy_input_get
      parameters:
        - name: proxy_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Proxy Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PolicyInputFieldRead'
                title: >-
                  Response Get Policy Input Schema Api V1 Proxies  Proxy Id 
                  Schema Policy Input Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PolicyInputFieldRead:
      properties:
        key:
          type: string
          title: Key
        value_type:
          type: string
          title: Value Type
        description:
          type: string
          title: Description
        added_at:
          type: string
          format: date-time
          title: Added At
        last_seen_at:
          type: string
          format: date-time
          title: Last Seen At
      type: object
      required:
        - key
        - value_type
        - description
        - added_at
        - last_seen_at
      title: PolicyInputFieldRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````